import sqlite3
import schedule
import time
from datetime import datetime

#Import scrapers
import scraper

# Connect to SQLite database (or create it if it doesn't exist)
conn = sqlite3.connect('airQ.db')
c = conn.cursor()

# Create a table if it doesn't exist
c.execute('''CREATE TABLE IF NOT EXISTS data
             (timestamp TEXT, SarA REAL, SarB REAL, SarC REAL)''')

def store_data():
    # Example data to store
    value = [scraper.Sarajevo().bjelave_pm25, scraper.Sarajevo().vogosca_pm25, scraper.Sarajevo().otoka_pm25]
    timestamp = datetime.now().strftime('%Y-%m-%d %H:%M:%S')
    
    # Insert data into the table
    c.execute("INSERT INTO data (timestamp, SarA, SarB, SarC) VALUES (?, ?, ?, ?)", (timestamp, value[0], value[1], value[2]))
    conn.commit()
    print("Data stored at " + timestamp)

# Schedule the store_data function to run every hour
schedule.every().minute.do(store_data)

print("Starting the scheduler...")

# Keep the script running
while True:
    schedule.run_pending()
    time.sleep(1)
