import os
from dotenv import load_dotenv
from telegram import Update, InlineKeyboardMarkup, InlineKeyboardButton
from telegram.ext import Application, CommandHandler, MessageHandler, filters, ContextTypes, CallbackContext, CallbackQueryHandler

#Import scrapers
import sqlite3

# Load environment variables from the .env file, searching up parent directories
load_dotenv()

# Access environment variables using os.environ
TOKEN = os.environ.get('TOKEN')
BOT_USERNAM = os.environ.get('BOT_USERNAME')

#Database connection
conn = sqlite3.connect('airQ.db')
c = conn.cursor()

c.execute('SELECT * FROM data ORDER BY rowid DESC LIMIT 1')

last_row = c.fetchone()

conn.close()

dateTime = last_row[0]
bjelave_pm25 = last_row[1]
vogosca_pm25 = last_row[2]
otoka_pm25 = last_row[3]

#COMMANDS
async def start_command(update: Update, context: ContextTypes.DEFAULT_TYPE):
    await update.message.reply_text('Hello! I am AirQuality BOT. All necessary information can be found here')


#Sarajevo
async def sarajevo_pm25_command(update: Update, context: ContextTypes.DEFAULT_TYPE):
        await update.message.reply_text(f'''Current value of PM2.5 paricles in Sarajevo at {dateTime}:\n
        Bjelave: {bjelave_pm25} µg/m3\n
        Vogošća: {vogosca_pm25} µg/m3\n
        Otoka: {otoka_pm25} µg/m3\n
                                    ''')

if __name__ == '__main__':
    print('Bot is working...')
    app = Application.builder().token(TOKEN).build()

    #commands
    app.add_handler(CommandHandler('start', start_command))

    app.add_handler(CommandHandler('sarajevo25', sarajevo_pm25_command))
    
    print('Polling...')
    app.run_polling(poll_interval=3)